Update appointment
PUT https://services.leadconnectorhq.com/calendars/events/appointments/{eventId}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación .
Version
string
default: "2021-07-28"
required
Versión de la API.
Path parameters
Event Id or Instance id. For recurring appointments send masterEventId to modify original series.
Body
title
string
default: "Test Event"
Title
Meeting account type.
If address is provided in the request body, the meetingLocationType defaults to custom . Posibles valores: ‘custom’, ‘zoom’, ‘gmeet’, ‘phone’, ‘address’, ‘ms_teams’, ‘google’
The unique identifier for the meeting account.
This value can be found in calendar.locationConfigurationsor calendar.teamMembers[].locationConfigurations
Flag to override account config
false - If only meetingLocationId is provided
true - If only meetingLocationType is provided
appointmentStatus
string
default: "confirmed"
Posibles valores: ‘new’, ‘confirmed’, ‘cancelled’, ‘showed’, ‘noshow’, ‘invalid’
assignedUserId
string
default: "0007BWpSzSwfiuSl0tR2"
Assigned User Id
description
string
default: "Booking a call to discuss the project"
Appointment Description
If set to true, the minimum scheduling notice and date range would be ignored
If set to false, the automations will not run
If true the time slot validation would be avoided for any appointment creation (even the ignoreDateRange)
RRULE as per the iCalendar (RFC 5545) specification for recurring events. DTSTART is not required, instance ids are calculated on the basis of startTime of the event. The rrule only be applied if ignoreFreeSlotValidation is true.
calendarId
string
default: "CVokAlI8fgw4WYWoCtQz"
Calendar Id
startTime
string
default: "2021-06-23T03:30:00+05:30"
Start Time
endTime
string
default: "2021-06-23T04:30:00+05:30"
End Time
Respuestas
200 - Successful response
calendarId
string
default: "CVokAlI8fgw4WYWoCtQz"
required
Calendar Id
locationId
string
default: "C2QujeCh8ZnC7al2InWR"
required
Account Id
contactId
string
default: "0007BWpSzSwfiuSl0tR2"
required
Contact Id
startTime
string
default: "2021-06-23T03:30:00+05:30"
Start Time
endTime
string
default: "2021-06-23T04:30:00+05:30"
End Time
title
string
default: "Test Event"
Title
appointmentStatus
string
default: "confirmed"
Posibles valores: ‘new’, ‘confirmed’, ‘cancelled’, ‘showed’, ‘noshow’, ‘invalid’, ‘active’, ‘completed’
assignedUserId
string
default: "0007BWpSzSwfiuSl0tR2"
Assigned User Id
true if the event is recurring otherwise false
RRULE as per the iCalendar (RFC 5545) specification for recurring events
id
string
default: "0TkCdp9PfvLeWKYRRvIz"
required
Id
{
"calendarId" : "CVokAlI8fgw4WYWoCtQz" ,
"locationId" : "C2QujeCh8ZnC7al2InWR" ,
"contactId" : "0007BWpSzSwfiuSl0tR2" ,
"startTime" : "2021-06-23T03:30:00+05:30" ,
"endTime" : "2021-06-23T04:30:00+05:30" ,
"title" : "Test Event" ,
"meetingLocationType" : "custom" ,
"appointmentStatus" : "confirmed" ,
"assignedUserId" : "0007BWpSzSwfiuSl0tR2" ,
"address" : "Zoom" ,
"isRecurring" : "true" ,
"rrule" : "string" ,
"id" : "0TkCdp9PfvLeWKYRRvIz"
}
Ejemplo
curl -X PUT 'https://services.leadconnectorhq.com/calendars/events/appointments/YOUR_eventId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"title": "Test Event",
"meetingLocationType": "custom",
"meetingLocationId": "custom_0",
"overrideLocationConfig": true,
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"description": "Booking a call to discuss the project",
"address": "Zoom",
"ignoreDateRange": false,
"toNotify": false,
"ignoreFreeSlotValidation": true,
"rrule": "string",
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30"
}'
const response = await fetch ( 'https://services.leadconnectorhq.com/calendars/events/appointments/YOUR_eventId' , {
method: 'PUT' ,
headers: {
Authorization: `Bearer ${ process . env . LEADWAY_TOKEN } ` ,
Version: '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
body: JSON . stringify ({ "title" : "Test Event" , "meetingLocationType" : "custom" , "meetingLocationId" : "custom_0" , "overrideLocationConfig" : true , "appointmentStatus" : "confirmed" , "assignedUserId" : "0007BWpSzSwfiuSl0tR2" , "description" : "Booking a call to discuss the project" , "address" : "Zoom" , "ignoreDateRange" : false , "toNotify" : false , "ignoreFreeSlotValidation" : true , "rrule" : "string" , "calendarId" : "CVokAlI8fgw4WYWoCtQz" , "startTime" : "2021-06-23T03:30:00+05:30" , "endTime" : "2021-06-23T04:30:00+05:30" }),
});
const data = await response . json ();
import os, requests
response = requests.request(
'PUT' ,
'https://services.leadconnectorhq.com/calendars/events/appointments/YOUR_eventId' ,
headers = {
'Authorization' : f "Bearer { os.environ[ 'LEADWAY_TOKEN' ] } " ,
'Version' : '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
json = { "title" : "Test Event" , "meetingLocationType" : "custom" , "meetingLocationId" : "custom_0" , "overrideLocationConfig" : true, "appointmentStatus" : "confirmed" , "assignedUserId" : "0007BWpSzSwfiuSl0tR2" , "description" : "Booking a call to discuss the project" , "address" : "Zoom" , "ignoreDateRange" : false, "toNotify" : false, "ignoreFreeSlotValidation" : true, "rrule" : "string" , "calendarId" : "CVokAlI8fgw4WYWoCtQz" , "startTime" : "2021-06-23T03:30:00+05:30" , "endTime" : "2021-06-23T04:30:00+05:30" },
)
data = response.json()
<? php
$ch = curl_init ( 'https://services.leadconnectorhq.com/calendars/events/appointments/YOUR_eventId' );
curl_setopt_array ( $ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'PUT' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ( 'LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
'Content-Type: application/json' ,
],
CURLOPT_POSTFIELDS => json_encode ({ 'title' : 'Test Event' , 'meetingLocationType' : 'custom' , 'meetingLocationId' : 'custom_0' , 'overrideLocationConfig' : true , 'appointmentStatus' : 'confirmed' , 'assignedUserId' : '0007BWpSzSwfiuSl0tR2' , 'description' : 'Booking a call to discuss the project' , 'address' : 'Zoom' , 'ignoreDateRange' : false , 'toNotify' : false , 'ignoreFreeSlotValidation' : true , 'rrule' : 'string' , 'calendarId' : 'CVokAlI8fgw4WYWoCtQz' , 'startTime' : '2021-06-23T03:30:00+05:30' , 'endTime' : '2021-06-23T04:30:00+05:30' }),
]);
$data = json_decode ( curl_exec ( $ch ), true );